Subject: Chinese outline fonts ?

From: [email-masked]
Date: Mon, 25 Nov 1991 16:38:58 TZONE

|> Hosek's article is not very informative....
|
|Indeed.
|
|> Does anyone here on CCNET have more information on this project or
|> other Chinese outline font projects?
|
|I'm working *very* slowly on Chinese metafonts of my own.  No, I don't
|have anything to release yet, so please don't ask.  I plan to release
|my fonts on terms similar to those of the Free Software Foundation.
|

I don't know if this is too old for you or you have had this information,
there is a research paper titled" A Chinese Meta-Font" by John Hobby and
Gu Guoan, published by Standford University (July 1983 Report No.
STAN-CS-83-974).   I haven't had time to read it, but it seems quite
informative and detailed, though I don't know how update this information
is.  It has some examples and subroutines.  In the conclusion of this
paper, it says
  "We have shown how it is possible to use Metafont to design Chinese
Characters, and to obtain many different styles from the same program
just by changing a few parameters.  It is possible to build up
a hierarchcal structure so that most of the work is not too difficult
and the resulting quality can be very high
   ...... Our goal is to provide the groundwork for furthre research."

If any of you read it, can you comment on it?

I don't know much about other Chinese outline font projects, but
I tried the outline fonts that are available with CWIN3.  You can pick
any size or points and it looks great (at one screen resolution, the
bigger the fonts, the better they look).

The message terryk posted earlier on ccnet about Chinese Windows 3.0
contains the following information.

-xiangjun

=======================================================

Outline Font with Hand Tuned and User Defined Bitmaps

CWIN3 is delivered with an outline font technology and a single typeface
 implemented under the Far East common installable font technologies feature.
 The outline font technology will read font formatted with the TrueType font
 file format excluding hint information.  This font technology allows third
 party font vendors to market TrueType formatted font files excluding hints,
 commonly called unhinted TrueType, distributed on diskettes.

The unhinted TrueType font technology, also called the outline font driver,
 allows the user the availability of fully scaleable fonts on both the screen
 and printer.  The font technology allows the user to install additional fonts
 distributed on diskettes with great ease and incorporate the use of these fonts
 in all documents, spreadsheets, and other types of files produced by Windows
 programs.

The outline font driver that access the unhinted TrueType files will also use
 hand tuned and pre-rasterized bitmap font files if they are available for a
 particular point size.  Due to the very small sizes of Chinese characters at 12
 points and below, it may be necessary for some typefaces to include hand tuned
 bitmaps for readability.  As well, if the user has large amounts of disk space
 available, then they may wish to pre-rasterize and store selected point sizes
 of selected typefaces to increase the speed of the font technology by
 eliminating the need to rasterize the outline.

The outline font driver will also work in conjunction with user defined
 characters defined and drawn by the Userfont utility.  The outline font driver
 will access the user defined bitmap font files if the user requests a character
 not in the standard Big-5 code space of 13,053 characters.  If a user defined
 bitmap exists for the character in the typeface requested, then font driver
 will access that bitmap and scale it as necessary to present with the other
 characters of the selected point size and typeface.
 ......
====================================